
# .pro to build project using qmake
# run $qmake build_makefile.pro

SRC=src/
H=header/

EXTERNAL_SRC=external/src/
EXTERNAL_INCLUDE=external/include/

F01=main
F02=scene
F03=glwidget
F04=window
F05=objet_affichable
F06=matrix3
F07=mesh
F08=mesh_io_off
F09=navigator_tool
F10=opengl_drawer
F11=quaternion
F12=string_helper
F13=texture
F14=trackball
F15=v3
F16=v4

HEADERS = $${H}$${F02}.hpp \
          $${H}$${F03}.hpp \
          $${H}$${F04}.hpp \
          $${H}$${F05}.hpp \
          $${EXTERNAL_INCLUDE}$${F06}.hpp \
          $${EXTERNAL_INCLUDE}$${F07}.hpp \
          $${EXTERNAL_INCLUDE}$${F08}.hpp \
          $${EXTERNAL_INCLUDE}$${F09}.hpp \
          $${EXTERNAL_INCLUDE}$${F10}.hpp \
          $${EXTERNAL_INCLUDE}$${F11}.hpp \
          $${EXTERNAL_INCLUDE}$${F12}.hpp \
          $${EXTERNAL_INCLUDE}$${F13}.hpp \
          $${EXTERNAL_INCLUDE}$${F14}.hpp \
          $${EXTERNAL_INCLUDE}$${F15}.hpp \
          $${EXTERNAL_INCLUDE}$${F16}.hpp \

SOURCES = $${SRC}$${F01}.cpp \
          $${SRC}$${F02}.cpp \
          $${SRC}$${F03}.cpp \
          $${SRC}$${F04}.cpp \
          $${SRC}$${F05}.cpp \
          $${EXTERNAL_SRC}$${F06}.cpp \
          $${EXTERNAL_SRC}$${F07}.cpp \
          $${EXTERNAL_SRC}$${F08}.cpp \
          $${EXTERNAL_SRC}$${F09}.cpp \
          $${EXTERNAL_SRC}$${F10}.cpp \
          $${EXTERNAL_SRC}$${F11}.cpp \
          $${EXTERNAL_SRC}$${F12}.cpp \
          $${EXTERNAL_SRC}$${F13}.cpp \
          $${EXTERNAL_SRC}$${F14}.cpp \
          $${EXTERNAL_SRC}$${F15}.cpp \
          $${EXTERNAL_SRC}$${F16}.cpp \

FORMS += gui/mainwindow.ui \

TARGET = cpe_project
QT += opengl
CONFIG += debug warn_on

INCLUDEPATH = $${H} $${EXTERNAL_INCLUDE}


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
