/*
**    Projet etudiants CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include <objet_affichable.hpp>

#include <opengl_drawer.hpp>

objet_affichable::objet_affichable(){}

//charge un fichier .off a partir de son chemin
objet_affichable::objet_affichable(const std::string &filename)
{
    geometrie=cpe::mesh::load_off_file(filename);
    normales=geometrie.normal_polygon();
}

//affiche l'objet dans un contexte opengl
void objet_affichable::affiche() const
{
    cpe::opengl_drawer::draw(geometrie,normales);
}
